Package net.snowflake.client.jdbc

## Enum SFBaseFileTransferAgent.CommandType

- java.lang.Object
- - java.lang.Enum<SFBaseFileTransferAgent.CommandType>
  - - net.snowflake.client.jdbc.SFBaseFileTransferAgent.CommandType

All Implemented Interfaces:
  `Serializable`, `Comparable<SFBaseFileTransferAgent.CommandType>`

Enclosing class:
  SFBaseFileTransferAgent

    public static enum SFBaseFileTransferAgent.CommandType
    extends Enum<SFBaseFileTransferAgent.CommandType>

The types of file transfer: upload and download.

### Enum Constant Summary

Enum Constants
`DOWNLOAD`
`UPLOAD`

### Method Summary

All Methods Static Methods Concrete Methods
`static SFBaseFileTransferAgent.CommandType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SFBaseFileTransferAgent.CommandType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UPLOAD

    public static final SFBaseFileTransferAgent.CommandType UPLOAD

#### DOWNLOAD

    public static final SFBaseFileTransferAgent.CommandType DOWNLOAD

### Method Detail

#### values

    public static SFBaseFileTransferAgent.CommandType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SFBaseFileTransferAgent.CommandType c : SFBaseFileTransferAgent.CommandType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SFBaseFileTransferAgent.CommandType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null